package com.example.demo.sujiajie.common.constant;

/**
 * 行程规划常量类
 * 定义系统中使用的常量，如状态码、权限级别等
 */
public class TravelPlanConstant {

    /**
     * 行程状态常量
     */
    public static class Status {
        public static final int DRAFT = 1;       // 草稿
        public static final int CONFIRMED = 2;   // 已确认
        public static final int COMPLETED = 3;   // 已完成
    }

    /**
     * 操作类型常量
     */
    public static class OperationType {
        public static final int EXPORT = 1;      // 导出
        public static final int SHARE = 2;       // 分享
        public static final int SAVE = 3;        // 保存
        public static final int OTHER = 4;       // 其他
    }

    /**
     * 权限级别常量
     */
    public static class Permission {
        public static final int VIEW = 1;        // 仅查看
        public static final int EDIT = 2;        // 可编辑
        public static final int ADMIN = 3;       // 管理员
    }
}
