package com.example.demo.sujiajie.dto.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 添加协作人请求DTO
 * 用于接收前端添加协作人的请求参数
 */
@Data
public class AddCollaboratorRequest {

    @NotNull(message = "行程ID不能为空")
    private Long planId;

    @NotBlank(message = "操作者用户ID不能为空")
    private String operatorUserId;

    @NotBlank(message = "协作人用户ID不能为空")
    private String collabUserId;

    @NotNull(message = "权限级别不能为空")
    private Integer permission; // 1-仅查看 2-可编辑 3-管理员
}
