package com.example.demo.sujiajie.dto.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 添加行程详情请求DTO
 * 用于接收前端添加行程详情的请求参数
 */
@Data
public class AddTravelPlanDetailRequest {

    @NotNull(message = "行程ID不能为空")
    private Long planId;

    @NotBlank(message = "用户ID不能为空")
    private String userId;

    @NotNull(message = "行程天数不能为空")
    private Integer daySeq;

    @NotBlank(message = "景点名称不能为空")
    private String spotName;

    private String spotId;

    private Date startTime;

    private Date endTime;

    private String trafficWay;

    private String trafficDesc;

    private String remark;
}
