package com.example.demo.sujiajie.dto.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 创建行程请求DTO
 * 用于接收前端创建行程的请求参数
 */
@Data
public class CreateTravelPlanRequest {

    @NotBlank(message = "用户ID不能为空")
    private String userId;

    @NotBlank(message = "行程名称不能为空")
    private String planName;

    @NotNull(message = "总天数不能为空")
    private Integer totalDays;

    @NotNull(message = "总预算不能为空")
    private BigDecimal totalBudget;

    private String preference; // 用户偏好，可选字段
}
