package com.example.demo.sujiajie.dto.request;

import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * 更新行程请求DTO
 * 用于接收前端更新行程的请求参数
 */
@Data
public class UpdateTravelPlanRequest {

    @NotNull(message = "行程ID不能为空")
    private Long planId;

    @NotBlank(message = "用户ID不能为空")
    private String userId;

    private String planName;

    private Integer totalDays;

    private BigDecimal totalBudget;

    private String preference;

    private Integer status; // 行程状态：1-草稿 2-已确认 3-已完成


}
