package com.example.demo.sujiajie.entity;

import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * 行程协作表实体类
 * 对应数据库中的travel_plan_collaborators表
 * 存储行程的协作人信息
 */
@Data
@Entity
@Table(name = "travel_plan_collaborators")
public class TravelPlanCollaborator {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long collabId;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "plan_id")
    private TravelPlan travelPlan; // 关联的行程主表

    private String collabUserId;  // 协作人用户ID

    @Temporal(TemporalType.TIMESTAMP)
    @Column(updatable = false)
    private Date joinTime;        // 加入时间

    private Integer permission;   // 权限：1-仅查看 2-可编辑 3-管理员
}
