package com.example.demo.sujiajie.entity;

import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * 行程详情表实体类
 * 对应数据库中的travel_plan_details表
 * 存储每日行程的详细信息，如景点、时间、交通等
 */
@Data
@Entity
@Table(name = "travel_plan_details")
public class TravelPlanDetail {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long detailId;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "plan_id")
    private TravelPlan travelPlan; // 关联的行程主表

    private Integer daySeq;       // 第几天行程
    private String spotId;        // 景点ID
    private String spotName;      // 景点名称

    @Temporal(TemporalType.TIMESTAMP)
    private Date startTime;       // 开始时间

    @Temporal(TemporalType.TIMESTAMP)
    private Date endTime;         // 结束时间

    private String trafficWay;    // 交通方式
    private String trafficDesc;   // 交通详情
    private String remark;        // 备注信息
}
