package com.example.demo.sujiajie.entity;

import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * 行程操作记录表实体类
 * 对应数据库中的travel_plan_operations表
 * 存储行程的操作记录，如导出、分享等
 */
@Data
@Entity
@Table(name = "travel_plan_operations")
public class TravelPlanOperation {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long opId;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "plan_id")
    private TravelPlan travelPlan; // 关联的行程主表

    private Integer opType;       // 操作类型：1-导出 2-分享 3-保存 4-其他
    private String opUserId;      // 操作人用户ID

    @Temporal(TemporalType.TIMESTAMP)
    @Column(updatable = false)
    private Date opTime;          // 操作时间

    private String opDesc;        // 操作描述
}
