package com.example.demo.sujiajie.repository;


import com.example.demo.sujiajie.entity.TravelPlanCollaborator;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 行程协作表数据访问接口
 * 提供对travel_plan_collaborators表的CRUD操作
 */
@Repository
public interface TravelPlanCollaboratorRepository extends JpaRepository<TravelPlanCollaborator, Long> {

    /**
     * 根据行程ID查询所有协作人
     */
    List<TravelPlanCollaborator> findByTravelPlanPlanId(Long planId);

    /**
     * 根据行程ID和协作人用户ID查询协作关系
     */
    TravelPlanCollaborator findByTravelPlanPlanIdAndCollabUserId(Long planId, String collabUserId);

    /**
     * 删除指定行程的所有协作关系
     */
    void deleteByTravelPlanPlanId(Long planId);
}
