package com.example.demo.sujiajie.repository;

import com.example.demo.sujiajie.entity.TravelPlanDetail;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 行程详情表数据访问接口
 * 提供对travel_plan_details表的CRUD操作
 */
@Repository
public interface TravelPlanDetailRepository extends JpaRepository<TravelPlanDetail, Long> {

    /**
     * 根据行程ID查询所有行程详情
     */
    List<TravelPlanDetail> findByTravelPlanPlanId(Long planId);

    /**
     * 根据行程ID和天数查询行程详情
     */
    List<TravelPlanDetail> findByTravelPlanPlanIdAndDaySeq(Long planId, Integer daySeq);

    /**
     * 根据行程ID删除所有行程详情
     */
    void deleteByTravelPlanPlanId(Long planId);

    /**
     * 根据详情ID删除行程详情
     */
    void deleteByDetailId(Long detailId);
}
