package com.example.demo.sujiajie.repository;


import com.example.demo.sujiajie.entity.TravelPlanOperation;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 行程操作记录表数据访问接口
 * 提供对travel_plan_operations表的CRUD操作
 */
@Repository
public interface TravelPlanOperationRepository extends JpaRepository<TravelPlanOperation, Long> {

    /**
     * 根据行程ID查询所有操作记录
     */
    List<TravelPlanOperation> findByTravelPlanPlanId(Long planId);

    /**
     * 根据行程ID和操作类型查询操作记录
     */
    List<TravelPlanOperation> findByTravelPlanPlanIdAndOpType(Long planId, Integer opType);

    /**
     * 根据行程ID删除所有操作记录
     */
    void deleteByTravelPlanPlanId(Long planId);
}
